geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jason Dillon <ja...@planet57.com>
Subject Re: Server trunk build failure (activemq issues)
Date Tue, 07 Nov 2006 21:39:04 GMT
We integrated with 4.1-SNAPSHOT specifically for this reason.

I still have not gotten any responses by to my query why 4.0x was added.

IMO, one or the other needs to be removed.

--jason


On Nov 7, 2006, at 1:04 PM, Joe Bohn wrote:

> It seems that there are some problems with our dependencies on  
> activemq 4.0.1 in trunk.
>
> The first problem (with the activecluster jar) seems to be that the  
> maven-metadata.xml is not correct on http://people.apache.org/repo/ 
> m2-snapshot-repository .  It doesn't include an entry for the 4.0.1  
> version.
>
> The second problem (with the activemq jar) might be an error in our  
> dependencies.  I don't see a 4.0.1 version of the activemq jar.  Is  
> this supposed to be activemq-core jar?
>
> These are the errors I hit with a clean repo and a fresh checkout  
> (rev.472130).
>
>
> [INFO]  
> ---------------------------------------------------------------------- 
> --
> [ERROR] BUILD ERROR
> [INFO]  
> ---------------------------------------------------------------------- 
> --
> [INFO] Failed to resolve artifact.
>
> Missing:
> ----------
> 1) incubator-activemq:activecluster:jar:4.0.1
>
>   Try downloading the file manually from the project website.
>
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=incubator-activemq - 
> DartifactId=activecluster \
>           -Dversion=4.0.1 -Dpackaging=jar -Dfile=/path/to/file
>
>   Path to dependency:
>         1) org.apache.geronimo.configs:jetty-clustering-builder- 
> wadi:car:1.2-SNAPSHOT
>         2) incubator-activemq:activecluster:jar:4.0.1
>
> 2) incubator-activemq:activemq:jar:4.0.1
>
>   Try downloading the file manually from the project website.
>
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=incubator-activemq - 
> DartifactId=activemq \
>           -Dversion=4.0.1 -Dpackaging=jar -Dfile=/path/to/file
>
>   Path to dependency:
>         1) org.apache.geronimo.configs:jetty-clustering-builder- 
> wadi:car:1.2-SNAPSHOT
>         2) incubator-activemq:activemq:jar:4.0.1
>
> ----------
> 2 required artifacts are missing.
>
> for artifact:
> org.apache.geronimo.configs:jetty-clustering-builder-wadi:car:1.2- 
> SNAPSHOT
>
> from the specified remote repositories:
>   central (http://repo1.maven.org/maven2),
>   apache.snapshots (http://people.apache.org/repo/m2-snapshot- 
> repository),
>   codehaus (http://repository.codehaus.org),
>   apache-snapshots (http://people.apache.org/repo/m2-snapshot- 
> repository),
>   codehaus-snapshots (http://snapshots.repository.codehaus.org)
>
>
> Thanks,
> Joe


Mime
View raw message